Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.transport
Interface Destination

All Superinterfaces:
  Observable

All Known Subinterfaces:
  MultiplexDestination

    public interface Destination

extends Observable

A Destination is a transport-level endpoint capable of receiving unsolicited incoming messages from different peers.

Method Summary
`EndpointReferenceType` | `getAddress()`
`Conduit` | `getBackChannel(Message inMessage, Message unused1, EndpointReferenceType unused2)` Retreive a back-channel Conduit, which must be policy-compatible with the current Message and associated Destination.
`MessageObserver` | `getMessageObserver()` Retrieves the message observer for incoming messages
`void` | `shutdown()` Shutdown the Destination, i.e.

Methods inherited from interface org.apache.cxf.transport.Observable
`setMessageObserver`

Method Detail

### getAddress

    EndpointReferenceType getAddress()

  Returns:
    the reference associated with this Destination

### getBackChannel

    Conduit getBackChannel(Message inMessage,
                           Message unused1,
                           EndpointReferenceType unused2)
                           throws IOException

  Retreive a back-channel Conduit, which must be policy-compatible with the current Message and associated Destination. For example compatible Quality of Protection must be asserted on the back-channel.

  Parameters:
    `inMessage` - the current message
    `unused1` - - will likely always be null
    `unused2` - - will likely always be null
  Returns:
    a suitable Conduit
  Throws:
    `IOException`

### shutdown

    void shutdown()

  Shutdown the Destination, i.e. stop accepting incoming messages.

### getMessageObserver

    MessageObserver getMessageObserver()

  Description copied from interface: `Observable`
  Retrieves the message observer for incoming messages

  Specified by:
    `getMessageObserver` in interface `Observable`
  Returns:
    the MessageObserver for incoming messages

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF